(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4249,        150]
NotebookOptionsPosition[      3484,        117]
NotebookOutlinePosition[      3839,        133]
CellTagsIndexPosition[      3796,        130]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The manual installation instructions of the BenderWu package", "Title",
 CellChangeTimes->{{3.674452469954377*^9, 3.674452480318713*^9}, {
  3.6772721297451563`*^9, 3.677272130778102*^9}, {3.678000211296608*^9, 
  3.678000239455117*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "Below are the instructions on how to manually install the ",
 Cell[BoxData[
  FormBox["BenderWu", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontColor->GrayLevel[0]],
 " package. It is recommended, however, that you use the automatic \
installation notebook. To open this notebook execute the command below"
}], "Section",
 CellChangeTimes->{{3.67727213423479*^9, 3.677272211195784*^9}, {
  3.677272249620504*^9, 3.6772722524548683`*^9}}],

Cell[BoxData[
 RowBox[{"SystemOpen", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], ",", 
     "\"\<BenderWu_Installation.nb\>\""}], "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.677272221997696*^9, 3.677272245203953*^9}}]
}, Open  ]],

Cell["\<\
If you wish to proceed with the manual installation follow the instructions \
below:\
\>", "Section",
 CellChangeTimes->{{3.677272259131496*^9, 3.677272272599154*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["To install the ", "Subchapter"],
 Cell[BoxData[
  FormBox["BenderWu", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontSize->24],
 " ",
 StyleBox["package, open the local package-repository directory by executing \
the command below ",
  FontSize->24]
}], "Chapter",
 CellChangeTimes->{{3.674452547771167*^9, 3.6744525484671583`*^9}, {
  3.6744527175995092`*^9, 3.6744527345802794`*^9}, {3.6772722876064262`*^9, 
  3.677272389682701*^9}}],

Cell[BoxData[
 RowBox[{"SystemOpen", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"$UserBaseDirectory", ",", "\"\<Applications\>\""}], "}"}], "]"}],
   "]"}]], "Input",
 CellChangeTimes->{3.6744527933640947`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Next copy the file ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   StyleBox["\"\<BenderWu.m\>\"",
    FontSize->24], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " ",
 StyleBox["to this directory. Once the file is copied, load the package by \
executing the command below:",
  FontSize->24]
}], "Chapter",
 CellChangeTimes->{{3.677272398897088*^9, 3.677272446025785*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<BenderWu`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.677272463335498*^9, 3.677272468585104*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["To check whether the package is loaded, execute",
 FontSize->24]], "Chapter",
 CellChangeTimes->{{3.677272478874879*^9, 3.677272487431552*^9}}],

Cell[BoxData[
 RowBox[{"?", "BenderWu"}]], "Input",
 CellChangeTimes->{{3.6772724915358763`*^9, 3.677272493633341*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{808, 691},
WindowMargins->{{12, Automatic}, {Automatic, 24}},
FrontEndVersion->"10.4 for Mac OS X x86 (32-bit, 64-bit Kernel) (April 11, \
2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 243, 3, 148, "Title"],
Cell[CellGroupData[{
Cell[848, 29, 467, 10, 169, "Section"],
Cell[1318, 41, 296, 7, 28, "Input"]
}, Open  ]],
Cell[1629, 51, 177, 4, 99, "Section"],
Cell[CellGroupData[{
Cell[1831, 59, 474, 13, 87, "Chapter"],
Cell[2308, 74, 234, 6, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2579, 85, 408, 13, 98, "Chapter"],
Cell[2990, 100, 140, 2, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3167, 107, 167, 2, 54, "Chapter"],
Cell[3337, 111, 119, 2, 28, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

