(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      6828,        214]
NotebookOptionsPosition[      5899,        174]
NotebookOutlinePosition[      6257,        190]
CellTagsIndexPosition[      6214,        187]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["ATTENTION: These instructions require the installation of the \
package ",
  FontSize->36],
 Cell[BoxData[
  FormBox[
   StyleBox["\"\<BenderWu\>\"",
    FontSize->36,
    FontColor->GrayLevel[0]], TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox[". To install this package reffer to the file ",
  FontSize->36],
 Cell[BoxData[
  FormBox[
   StyleBox["\"\<BenderWu_Installation_instructions.nb\>\"",
    FontSize->36,
    FontColor->GrayLevel[0]], TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox[" and ",
  FontSize->36],
 Cell[BoxData[
  FormBox[
   StyleBox["\"\<BenderWu_Installation.nb\>\"",
    FontSize->36,
    FontColor->GrayLevel[0]], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Title",
 CellChangeTimes->{{3.674455621959749*^9, 3.674455702531413*^9}, {
  3.677272716149342*^9, 3.67727275566866*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["These are instructions how to make a package \
\[OpenCurlyDoubleQuote]BenderWu\[CloseCurlyDoubleQuote] load on the startup \
of ",
  FontSize->24],
 StyleBox["Mathematica",
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[". To do this, it is necessary to append the command \
\[OpenCurlyDoubleQuote]Needs[BenderWu`]\[CloseCurlyDoubleQuote] to the file \
init.m located in the folder (execute the command below to see the folder \
name)",
  FontSize->24]
}], "Chapter",
 CellChangeTimes->{{3.674455241670813*^9, 3.6744552968583403`*^9}, {
  3.674455345031025*^9, 3.674455415538457*^9}}],

Cell[BoxData[
 RowBox[{"FileNameJoin", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"$UserBaseDirectory", ",", "\"\<Kernel\>\""}], "}"}], "]"}], 
  "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["To open the folder, execute the following command",
 FontSize->24]], "Chapter",
 CellChangeTimes->{{3.6744554214690123`*^9, 3.6744554306211853`*^9}}],

Cell[BoxData[
 RowBox[{"SystemOpen", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"$UserBaseDirectory", ",", "\"\<Kernel\>\""}], "}"}], "]"}], 
  "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["To have mathematica load the package \
\[OpenCurlyDoubleQuote]BenderWu\[CloseCurlyDoubleQuote] on startup, open the \
file \[OpenCurlyDoubleQuote]init.m\[CloseCurlyDoubleQuote] and append to it a \
command",
 FontSize->24]], "Chapter",
 CellChangeTimes->{{3.6744554577057867`*^9, 3.674455497662277*^9}, {
  3.674455584590414*^9, 3.6744555950734787`*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<BenderWu`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.674455500546356*^9, 3.6744555068117027`*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Alternativelly you can execute the code below to do \
it automatically!",
 FontSize->24]], "Chapter",
 CellChangeTimes->{{3.674455520530655*^9, 3.674455532477148*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["WARNING! DO NOT EXECUTE THE CODE BELOW MORE THAN ONCE. The code \
below modifies the file init.m so as to load the package \
\[OpenCurlyDoubleQuote]BenderWu\[CloseCurlyDoubleQuote] on startup. If \
executed more than once, the code adds redundant information to your \
initialization file \[OpenCurlyDoubleQuote]init.m\[CloseCurlyDoubleQuote] in \
the ",
  FontSize->36],
 StyleBox["Mathematica",
  FontSize->36,
  FontSlant->"Italic"],
 StyleBox[" base folder. Although the code makes a backup of init.m, it is \
strongly encouraged for you to make a backup by hand. RUN AT YOUR OWN RISK",
  FontSize->36]
}], "Title",
 CellChangeTimes->{{3.674453274016055*^9, 3.67445329813748*^9}, {
  3.674453591716826*^9, 3.674453685178604*^9}, {3.6744551509529333`*^9, 
  3.674455210795663*^9}, {3.677272620009253*^9, 3.677272649894964*^9}},
 TextJustification->1.],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"initFileName", "=", 
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{
       "$UserBaseDirectory", ",", "\"\<Kernel\>\"", ",", "\"\<init.m\>\""}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Make", " ", "a", " ", "back"}], "-", "up"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"CopyFile", "[", 
     RowBox[{"initFileName", ",", 
      RowBox[{"initFileName", "<>", "\"\<_\>\"", "<>", 
       RowBox[{"StringReplace", "[", 
        RowBox[{
         RowBox[{"ToString", "@", 
          RowBox[{"Round", "[", 
           RowBox[{"DateList", "[", "]"}], "]"}]}], ",", 
         RowBox[{"\"\< \>\"", "\[Rule]", "\"\<\>\""}]}], "]"}], "<>", 
       "\"\<.bak\>\""}]}], "]"}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"exprs", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"initFileName", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Package\>\"", ",", "\"\<HeldExpressions\>\""}], "}"}]}], 
      "]"}]}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"initFileName", ",", 
     RowBox[{"Append", "[", 
      RowBox[{"exprs", ",", 
       RowBox[{"HoldComplete", "[", 
        RowBox[{"Needs", "[", "\"\<BenderWu`\>\"", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<Package\>\"", ",", "\"\<HeldExpressions\>\""}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.674453185776807*^9, 3.674453191265274*^9}, 
   3.674453309879552*^9, 3.674453710100087*^9, {3.6744538564318867`*^9, 
   3.6744538592536983`*^9}}]
}, Open  ]]
},
WindowSize->{808, 691},
WindowMargins->{{186, Automatic}, {26, Automatic}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 878, 28, 269, "Title"],
Cell[CellGroupData[{
Cell[1325, 47, 614, 15, 153, "Chapter"],
Cell[1942, 64, 186, 5, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2165, 74, 173, 2, 54, "Chapter"],
Cell[2341, 78, 184, 5, 28, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2562, 88, 378, 6, 87, "Chapter"],
Cell[2943, 96, 142, 2, 28, "Input"]
}, Open  ]],
Cell[3100, 101, 191, 3, 54, "Chapter"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3328, 109, 881, 18, 459, "Title"],
Cell[4212, 129, 1671, 42, 199, "Input"]
}, Open  ]]
}
]
*)

